Recipients for Marketplace
Request a Transfer
Reverse a split transfer between recipients for a specific payment transaction
POST
/
payments
/
{payment_id}
/
transactions
/
{transaction_id}
/
split-marketplace
/
transfer-reversal
cURL
curl --request POST \
--url https://api-sandbox.y.uno/v1/payments/{payment_id}/transactions/{transaction_id}/split-marketplace/transfer-reversal \
--header 'Content-Type: application/json' \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>' \
--data '
{
"amount": {
"currency": "",
"value": ""
},
"description": ""
}
'import requests
url = "https://api-sandbox.y.uno/v1/payments/{payment_id}/transactions/{transaction_id}/split-marketplace/transfer-reversal"
payload = {
"amount": {
"currency": "",
"value": ""
},
"description": ""
}
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'public-api-key': '<api-key>',
'private-secret-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({amount: {currency: '', value: ''}, description: ''})
};
fetch('https://api-sandbox.y.uno/v1/payments/{payment_id}/transactions/{transaction_id}/split-marketplace/transfer-reversal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "94036ceb-5cca-4384-b144-e2a5a908af77",
"recipient_id": "e56c3329-f3d9-48e5-a677-284b147abf95",
"amount": {
"currency": "USD",
"value": 100
},
"status": "SUCCEEDED",
"description": "test transfer",
"merchant_reference": "c19e858a-ffd6-4635-8a31-4f60c5becf4d",
"metadata": [],
"provider": null,
"transactions": [
{
"code": "7ac2c5f3-7c79-4e99-b45e-aa5952620188",
"type": "SPLIT_TRANSFER",
"status": "SUCCEEDED",
"provider_transfer_id": "tr_1T9eKVIiMnPsFcbbRTb8ObsZ",
"raw_response": "{\n \"id\": \"tr_1T9eKVIiMnPsFcbbRTb8ObsZ\",\n \"object\": \"transfer\",\n \"amount\": 10000,\n \"amount_reversed\": 0,\n \"balance_transaction\": \"txn_1T9eKVIiMnPsFcbbOPnvz3xM\",\n \"created\": 1773203107,\n \"currency\": \"usd\",\n \"description\": \"test transfer\",\n \"destination\": \"acct_1T9PSQIZEg1WWTvj\",\n \"destination_payment\": \"py_1T9eKVIZEg1WWTvjbVjmnzFK\",\n \"livemode\": false,\n \"metadata\": {},\n \"reversals\": {\n \"object\": \"list\",\n \"data\": [],\n \"has_more\": false,\n \"total_count\": 0,\n \"url\": \"/v1/transfers/tr_1T9eKVIiMnPsFcbbRTb8ObsZ/reversals\"\n },\n \"reversed\": false,\n \"source_transaction\": null,\n \"source_type\": \"card\",\n \"transfer_group\": null\n}",
"created_at": "2026-03-11T04:25:06.229027Z",
"updated_at": "2026-03-11T04:25:07.917364Z"
}
],
"created_at": "2026-03-11T04:25:06.208761Z",
"updated_at": "2026-03-11T04:25:07.928000342Z",
"completed_at": "2026-03-11T04:25:07.927971142Z"
}{
"id": "9778f631-504d-448f-b2c1-f7b903781df7",
"recipient_id": "82b12c8c-7d3d-4a21-a3c6-165cc04ca741",
"amount": {
"currency": "USD",
"value": 50000
},
"status": "ERROR",
"description": "test transfer",
"merchant_reference": "cb18df20-21ae-4fed-8da9-fb81cfd56797",
"metadata": [],
"provider": null,
"transactions": [
{
"code": "9eee65d1-6c3a-4076-9ef9-fa4bff73d597",
"type": "SPLIT_TRANSFER",
"status": "ERROR",
"provider_transfer_id": "tr_1T9PTLIiMnPsFcbbFKyh1Nds",
"provider_response_message": "{\n \"id\": \"tr_1T9PTLIiMnPsFcbbFKyh1Nds\",\n \"object\": \"transfer\",\n \"amount\": 10000,\n \"amount_reversed\": 0,\n \"balance_transaction\": \"txn_1T9PTMIiMnPsFcbbxRKvaZ3G\",\n \"created\": 1773145996,\n \"currency\": \"usd\",\n \"description\": \"test transfer\"\n}",
"provider_raw_response": "{.... }",
"created_at": "2026-03-10T13:39:19.342902Z",
"updated_at": "2026-03-10T13:39:19.342914Z"
}
],
"created_at": "2026-03-10T13:39:19.241990247Z",
"updated_at": "2026-03-10T13:39:19.242012664Z"
}Enables marketplaces using Yuno Split Payments to request a transfer based on an existing payment. Request a transfer for a specified amount to one of the recipients participating in the split.
Authorizations
Headers
Unique identifier used in HTTP headers to ensure that a request is processed only once, even if it is retried due to network issues or timeouts.
Path Parameters
The unique identifier of the payment (MAX 64; MIN 36).
The unique identifier of the transaction (MAX 64; MIN 36).
Body
application/json
Was this page helpful?
Previous
Create Standalone TransferCreates a forward transfer distributing organization balance funds to recipients
Next
⌘I
cURL
